# generator-playable-ads
> This is yeoman generator for playable ads

## Installation

First, install [Yeoman](http://yeoman.io) and generator-playable-ads using [npm](https://www.npmjs.com/) (we assume you have pre-installed [node.js](https://nodejs.org/)).

```bash
npm install -g yo
npm install -g generator-playable-ads
```

Then generate your new project:

```bash
yo playable-ads
```

## Structure of generated project

```
.
├── build               --> Built broject will be placed here.
├── gulp                --> Gulp tasks.
├── node_modules        --> 3rd party dependencies.
├── src                 --> Project sources.
│   ├── configs         --> Contains game configuration files.
│   ├── fonts           --> Game fonts.
│   ├── images          --> Images, sprites.
│   ├── l10n            --> Localizations.
│   ├── prefabs         --> Prefabs.
│   ├── states          --> States of the game (boot, game process, game-over, etc).
│   ├── index.html      --> Main HTML file.
│   ├── main.js         --> Main javascript file.
│   ├── resources.js    --> Resources of PA defined in this file.
├── tmp                 --> Temporary files.
├── .babelrc            --> Babel settings.
├── .editorconfig       --> Basic configuration for an editor.
├── .gitignore          --> Git ignore file.
├── builder.json        --> Builder settings. You can setup inside this file which build of phaser to use.
├── gulpfile.js         --> Gulp settings.
├── package.json        --> Describes NPM dependencies.
├── README.md           --> Readme file.
```

## License

MIT © [IronSource](https://www.ironsrc.com/)
